DRUO
Get started
Recurring Plans

Get Recurring Plan

GEThttps://api.druo.com/recurring-plans/{recurring_plan_uuid}

Retrieve the details of a specific recurring plan by its unique identifier.

This endpoint returns the configuration, schedule, status, and associated transaction information of an existing recurring plan.

Path parameters

recurring_plan_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The unique identifier of the recurring plan.

Example: rcp_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The recurring plan's unique code.

Example: SCSCDSVFGH
descriptionstringoptional

The description of the recurring plan.

Example: Recurring Plan #1234567 for transaction 123455
processing_methodstringoptional

The processing method for the recurring plan.

Example: AUTOMATIC
statusstringoptional

The current status of the recurring plan.

Example: ACTIVE
start_datestringoptional

The scheduled start date and time of the recurring plan.

Example: 2023-08-16T23:20:15.645+00:00
end_datestringoptional

The scheduled end date and time of the recurring plan.

Example: 2023-10-16T23:20:15.645+00:00
total_cycle_countstringoptional

The total number of cycles in the recurring plan.

Example: 4
cycle_frequencystringoptional

The cycle frequency of the recurring plan.

Example: MONTHLY
end_userEndUseroptional

The full end user object associated with this recurring plan.

origin_accountstringoptional

The unique identifier of the origin account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountstringoptional

The unique identifier of the destination account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
primary_referencestringoptional

A primary reference value to associate the recurring plan with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

A secondary reference value to associate the recurring plan with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
transactionobjectoptional

The transaction details associated with the recurring plan.

transaction.tenantobjectoptional

The tenant information related to the transaction.

The unique identifier of the tenant.

Example: 22637d15-5b37-4fb2-90e5-aa8751970469
transaction.typestringoptional

The type of the transaction.

Example: PAYMENT
transaction.currencystringoptional

The currency of the transaction.

Example: USD
transaction.amountintegeroptional

The transaction amount in the smallest currency unit.

Example: 10000

The statement descriptor for the transaction.

Example: NOVO BILLING* INV12324

The primary reference of the transaction.

Example: Transaction primary reference

The secondary reference of the transaction.

Example: Transaction secondary reference
transaction.metadataobjectoptional

Key-value pairs containing metadata for the transaction.

Example: {"id_user":"69440","transaction_xyz":"JOHN SMITH"}
metadataobjectoptional

Set of key-value pairs that you can attach to the object.

Example: {"order_id":"6735"}
date_created_gmtstringoptional

The creation date and time of the recurring plan in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update date and time of the recurring plan in GMT.

Example: 2021-11-15T23:23:38Z
NextGETList Recurring Plans